package divwarnet

import (
	"fmt"

	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически воюет в сражении
*/

// DivWarNet -- танкует в сражении
type DivWarNet struct {
	*sectionnet.SectionNet
}

// NewDivWarNet -- возвращает новый *DivWarNet
func NewDivWarNet(server types.IServer, bot types.IServBot) (*DivWarNet, error) {
	{ // Предусловия
		if server == nil {
			return nil, fmt.Errorf("NewDivWarNet(): IServer == nil")
		}
		if bot == nil {
			return nil, fmt.Errorf("NewDivWarNet(): IServBpt == nil")
		}
	}

	sf := &DivWarNet{
		// SectionNet: sectionnet.NewSectionNet(server, bot, ..., "http://wartank.ru/bitva"),
	}
	return sf, nil
}
